#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    cin>>n;
    double a[n];
    double b[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        cin>>b[i];
    }
    pair<double, int> par[n]; 
    for(int i=0; i<n; i++)  
    { 
        par[i].first=b[i]; 
        par[i].second=a[i]; 
    } 
    sort(par, par+n); 
    for(int i=0; i<n; i++)  
    { 
        a[i]=par[i].first; 
        b[i]=par[i].second; 
    } 
    double br, brMax=0;
    double zbir=0;
    for(int i=0; i<n; i++)
    {
        for(int j=i; j<n; j++)
        {
            zbir+=b[j];
        }
        br=zbir*a[i];
        br/=100.0;
        if(br>brMax)brMax=br;
        zbir=0;
    }
    cout<<fixed<<showpoint<<setprecision(4)<<brMax<<endl;
    return 0;
}